Analise de trafego em CLI

Este tópico contém respostas, possui 2 vozes e foi atualizado pela última vez por  Ricardo 2 meses, 3 semanas atrás.

  • Autor
    Posts
  • #22039

    Ricardo
    Participante

    Prezados,
    No Endian Community versão 3.2.2 x64, quais as ferramentas de analise de trafego temos disponível ?
    De preferencia em linha de comando. Não encontrei o iptraf e trafshow.
    É possível obter pacotes adicionais para o Endian ?
    Obrigado!

  • #22045

    Eduardo Jonck
    Participante

    Amigo,

    Eu forneci um repositório de pacotes com vários pacotes prontos para rodar, entre eles iptraf, iftop, etc.

    Veja nesses links: http://updates.eduardojonck.com e http://www.eduardojonck.com

    Abraço!!!

  • #22053

    Ricardo
    Participante

    Olá Eduardo,
    Obrigado pelo retorno. Meus parabéns pelo seu trabalho em preparar estes pacotes.
    Todos os pacotes são fundamentais para administrar o sistema.
    Senti falta do Trafshow. Este app também é ótimo para monitorar o trafego.

    Da sua lista de pacotes, apenas os dois pacotes abaixo eu não consegui instalar.

    # rpm -ivh bmon-3.6-e01.x86_64.rpm
    Preparing… ########################################### [100%]
    1:bmon ########################################### [100%]
    error: unpacking of archive failed on file /usr/bin/bmon;597b2003: cpio: read failed – Bad file descriptor

    # rpm -ivh manager-artwork-1.1-e01.x86_64.rpm
    error: Failed dependencies:
    /var/efw/theme is needed by manager-artwork-1.1-e01.x86_64

    Sabe como resolver ?

  • #22054

    Eduardo Jonck
    Participante

    Amigo,

    Você instalou a biblioteca lib-ldlinux e a lib-generals?

    Instale elas antes.

    • Esta resposta foi modificada 2 meses, 3 semanas atrás por  Eduardo Jonck.
    • Esta resposta foi modificada 2 meses, 3 semanas atrás por  Eduardo Jonck.
  • #22055

    Eduardo Jonck
    Participante

    Estarei criando o pacote Trafshow e em breve irei publicar.

    Já tenho ele rodando, apenas vou compilar o pacote e publicar.

    • Esta resposta foi modificada 2 meses, 3 semanas atrás por  Eduardo Jonck.
  • #22059

    Ricardo
    Participante

    As bibliotecas lib-ldlinux e a lib-generals eu instalei antes de instalar os demais pacotes.

  • #22060

    Eduardo Jonck
    Participante

    Amigo,

    Parece ser alguma coisa no seu Endian, pois não tem de dar erro algum. Bastante gente já baixou e está usando esses pacotes.

    Teste em uma maquina virtual e me de um retorno.

    • Esta resposta foi modificada 2 meses, 3 semanas atrás por  Eduardo Jonck.
  • #22062

    Ricardo
    Participante

    Estou fazendo o teste em uma VM.
    Voltarei o snapshot e vou instalar todos novamente e te retorno.

  • #22063

    Ricardo
    Participante

    Eduardo, voltei o snapshot e instalei primeiramente as libs, em seguida os dois pacotes que apresentaram problemas.
    O erro ainda persiste:

    # rpm -ivh bmon-3.6-e01.x86_64.rpm
    Preparing… ########################################### [100%]
    1:bmon ########################################### [100%]
    error: unpacking of archive failed on file /usr/bin/bmon;597b1fa1: cpio: read failed – Bad file descriptor

    # rpm -ivh manager-artwork-1.1-e01.x86_64.rpm
    error: Failed dependencies:
    /var/efw/theme is needed by manager-artwork-1.1-e01.x86_64

  • #22068

    Eduardo Jonck
    Participante

    Amigo,

    Efetue a instalação pelo comando:

    smart install manager-artwork-1.1-e01.x86_64.rpm

    No aguardo!!!

  • #22069

    Ricardo
    Participante

    Instalou perfeitamente com este comando. Tentei fazer o mesmo com o bmon, mas surge o mesmo erro anterior.

  • #22070

    Eduardo Jonck
    Participante

    Ok….

    Está previsto eu atualizar todos os pacotes desse repositório, pois tenho focado bastante nos Addons pagos e esse acabou ficando um pouco pra traz.

    Irei atualizar os pacotes e irei dar um report.

    Se puder, teste os outros se conseguir reportar agradeço!!!

  • #22071

    Ricardo
    Participante

    Prezado Eduardo,
    Obrigado pelo apoio. Os demais pacotes são instalados normalmente.

  • #22072

    Eduardo Jonck
    Participante

    Amigo,

    Atualizei todos os pacote e criei o do TrafShow. Se puder, teste e me de um retorno, mas já homologuei o funcionamento de todos.

    http://updates.eduardojonck.com/index.php?dir=3.2/pool/

    Abraço!!!

    • Esta resposta foi modificada 2 meses, 3 semanas atrás por  Eduardo Jonck.
  • #22076

    Ricardo
    Participante

    Boa tarde Eduardo,
    Voltei o snapshot e instalei todos os pacotes.
    Todos foram instalados com sucesso.
    Obrigado pelo esforço e dedicação.
    Abraços!

Você deve fazer login para responder a este tópico.